%define _buildid .5

Summary: A screen manager that supports multiple logins on one terminal
Name: screen
Version: 4.0.3
Release: 16%{?_buildid}%{?dist}
License: GPLv2+
Group: Applications/System
URL: http://www.gnu.org/software/screen
Requires(pre): /usr/sbin/groupadd
Requires(preun): /sbin/install-info
Requires(post): /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ncurses-devel pam-devel libutempter-devel autoconf texinfo

# The one and only true source
Source0: ftp://ftp.uni-erlangen.de/pub/utilities/screen/screen-%{version}.tar.gz
# Except for the PAM configuration, that is.
Source1: screen.pam

Patch1: screen-4.0.3-libs.patch
# Some tweaks of the default screenrc
Patch2: screen-4.0.3-screenrc.patch
Patch3: screen-4.0.3-configh.patch
Patch4: screen-4.0.3-stropts.patch
# Fixes potential buffer overflow when > 2^31 semicolons are passed.
Patch7: screen-4.0.1-args.patch
Patch11: screen-4.0.2-maxstr.patch
Patch12: screen-4.0.3-ipv6.patch
Patch13: screen-4.0.3-resize.patch
Patch14: screen-4.0.3-cc.patch

%description
The screen utility allows you to have multiple logins on just one
terminal. Screen is useful for users who telnet into a machine or are
connected via a dumb terminal, but want to use more than just one
login.

Install the screen package if you need a screen manager that can
support multiple logins on one terminal.


%prep
%setup -q
%patch1 -p1 -b .libs
%patch2 -p1 -b .screenrc
%patch3 -p1 -b .configh
%patch4 -p1 -b .stropts
%patch7 -p0 -b .args
%patch11 -p1 -b .maxstr
%patch12 -p1 -b .ipv6
%patch13 -p2 -b .resize
%patch14 -p1 -b .cc

%build
autoconf

%configure \
	--enable-pam \
	--enable-colors256 \
	--enable-rxvt_osc \
	--enable-use-locale \
	--enable-telnet \
	--with-pty-mode=0620 \
	--with-pty-group=$(getent group tty | cut -d : -f 3) \
	--with-sys-screenrc="%{_sysconfdir}/screenrc" \
	--with-socket-dir="%{_localstatedir}/run/screen"

# We would like to have braille support.
sed -i -e 's/.*#.*undef.*HAVE_BRAILLE.*/#define HAVE_BRAILLE 1/;' config.h

sed -i -e 's/\(\/usr\)\?\/local\/etc/\/etc/g;' doc/screen.{1,texinfo}
rm doc/screen.info*

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mv -f $RPM_BUILD_ROOT%{_bindir}/screen{-%{version},}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -m 0644 etc/etcscreenrc $RPM_BUILD_ROOT%{_sysconfdir}/screenrc
cat etc/screenrc >> $RPM_BUILD_ROOT%{_sysconfdir}/screenrc

# Better not forget to copy the pam file around
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/screen

# Create the socket dir
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/screen

# Remove files from the buildroot which we don't want packaged
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 84 -r -f screen
:

%post
/sbin/install-info %{_infodir}/screen.info.gz %{_infodir}/dir --entry="* screen: (screen).				Terminal multiplexer." &> /dev/null
:

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete %{_infodir}/screen.info.gz %{_infodir}/dir --entry="* screen: (screen).				Terminal multiplexer." &> /dev/null
fi
:

%files
%defattr(-,root,root,-)
%doc NEWS README doc/FAQ doc/README.DOTSCREEN COPYING
%attr(2755,root,screen) %{_bindir}/screen
%{_mandir}/man1/screen.*
%{_infodir}/screen.info*
%{_datadir}/screen
%attr(775,root,screen) %{_localstatedir}/run/screen
%config(noreplace) %{_sysconfdir}/screenrc
%config(noreplace) %{_sysconfdir}/pam.d/screen

%changelog
* Sun May 22 2011 03:15:15 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/screen-4.0.3-16.el6

* Fri Jul 9 2010 22:45:21 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL6/screen-4.0.3-15.el6

* Fri May 7 2010 02:47:40 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/screen-4.0.3-1.el5_4.1

* Fri May 7 2010 02:47:38 UTC Cristian Gafton <gafton@amazon.com>
- import source package RHEL5/screen-4.0.3-1.el5

* Fri May 7 2010 00:16:53 UTC Cristian Gafton <gafton@amazon.com>
- added submodule prep for package screen
